-- /esoui/ingame/mail/keyboard/mailinbox_keyboard.lua
ZO_PreHook(MAIL_INBOX, "Delete", function( self )
	if (self.mailId and self:IsMailDeletable()) then
		local numAttachments, attachedMoney = GetMailAttachmentInfo(self.mailId)
		if (numAttachments == 0 and attachedMoney == 0) then
			-- Prepare to select the next mail; see OnMailRemoved
			local selectedMailNode = self.navigationTree:GetSelectedNode()
			if (selectedMailNode) then
				local nextOrPreviousNode = selectedMailNode:GetNextOrPreviousSiblingNode()
				if (nextOrPreviousNode) then
					self.selectMailIdOnRefresh = nextOrPreviousNode.data.mailId
				end
			end

			-- Delete the mail
			self:ConfirmDelete(self.mailId)

			-- Suppress the original function
			return true
		end
	end

	-- Allow the original function to run
	return false
end)
